List the messages in a thread along with any data updates from a specified date.
Changelog
| Version | Description |
|---|---|
| 9.0.0 | Removed the fields and query parameters. |
| 1.0.0 | Added |
The authToken of the authenticated user.
The userId of the authenticated user.
Number of items to "skip" in the query, i.e. requests return count items, skipping the first offset items. Refer to the official documentation to learn more.
List of fields to order by, and in which direction. This is a JSON object, with properties listed in desired order, with values of 1 for ascending, or -1 for descending. For example, { "value": -1, "_id": 1 }. Refer to the official documentation to learn more.
Date as an ISO string. When you provide the updatedSince query parameter, the update and remove parameters in the response will contain only those updated and removed since this date and time.
Thread's message ID.
OK
{
"messages": {
"update": [
{
"_id": "8BciMkvotHLpmpDEG",
"rid": "GENERAL",
"tmid": "hbs2ZAjHH2JXrP7C7",
"msg": "test",
"ts": "2019-04-16T18:30:46.615Z",
"u": {
"_id": "rocketchat.internal.admin.test",
"username": "rocketchat.internal.admin.test",
"name": "RocketChat Internal Admin Test"
},
"_updatedAt": "2019-04-16T18:30:46.669Z",
"mentions": [],
"channels": []
}
],
"remove": []
},
"success": true
}Bad Request
{
"success": false,
"error": "The required \"tmid\" query param is missing. [error-invalid-params]",
"errorType": "error-invalid-params"
}{
"success": false,
"error": "The required param \"updatedSince\" is missing. [error-updatedSince-param-invalid]",
"errorType": "error-updatedSince-param-invalid"
}Unauthorized
{
"success": false,
"error": "You must be logged in to do this."
}